Bug 647270 - Fedora 14 fail to auto configure printer
Fedora 14 fail to auto configure printer
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
14
x86_64 Unspecified
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-27 14:38 EDT by Mattia Verga
Modified: 2011-02-01 14:21 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-01 14:21:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Output of /var/log/messages in debug mode (2.24 KB, text/plain)
2010-10-28 12:48 EDT, Mattia Verga
no flags Details
patch-bz647270.patch (962 bytes, patch)
2010-10-29 08:50 EDT, Tim Waugh
no flags Details | Diff

  None (edit)
Description Mattia Verga 2010-10-27 14:38:29 EDT
Description of problem:
I didn't find exactly what is the component responsible for auto configuration of printers when they are plugged in, so sorry if I opened in the wrong place.
I just plugged in my Canon Pixma ip4200 and in the tray a notification has appeared saying "configuring new printer" (I'm using KDE). But besides of the notification nothing happens: no new printers are configured in system-config-printer, neither looking directly in cups.


Version-Release number of selected component (if applicable):
system-config-printer.x86_64            1.2.5-3.fc14
cups.x86_64                       1:1.4.4-10.fc14
kdebase.x86_64                         6:4.5.2-2.fc14
gutenprint.x86_64                  5.2.6-1.fc14



How reproducible:
Always


Steps to Reproduce:
1.Plug in a new printer
2.Verify in system-config-printer or in cups that no printers are configured

  
Expected results:
The printer should be auto configured by system
Comment 1 Tim Waugh 2010-10-28 05:42:59 EDT
Please edit /etc/rsyslog.conf and change the line ending "/var/log/messages" to this:

*.debug;mail.none;authpriv.none;cron.none                -/var/log/messages

Then restart rsyslog (/sbin/service rsyslog restart), and try connecting the printer again.  What messages end up in /var/log/messages then?
Comment 2 Mattia Verga 2010-10-28 12:48:38 EDT
Created attachment 456290 [details]
Output of /var/log/messages in debug mode

I attach the file with related output of /var/log/messages.
From the lines, I think maybe is a packagekit bug?
Comment 3 Tim Waugh 2010-10-29 08:49:42 EDT
For some reason the Python D-Bus proxy is not converting 0 into a dbus.UInt32 type.  Here is a fix that explicitly converts to that type.

Needs to be applied to kdeutils.
Comment 4 Tim Waugh 2010-10-29 08:50:14 EDT
Created attachment 456462 [details]
patch-bz647270.patch
Comment 5 Tim Waugh 2010-10-29 08:50:52 EDT
Strangely, it all works fine under GNOME with system-config-printer-applet and gnome-packagekit.
Comment 6 Tim Waugh 2010-10-29 08:53:46 EDT
FWIW, system-config-printer-1.2.6 will export the installdrivers module as part of cupshelpers (i.e. cupshelpers.installdrivers), so the KDE printer-applet will be able to re-use that.
Comment 7 Mattia Verga 2011-02-01 14:21:54 EST
Tried with
kdebase.x86_64                         6:4.5.5-1.fc14
system-config-printer.x86_64                1.2.5-8.fc14

and it works, I close the bug. Thank you!

Note You need to log in before you can comment on or make changes to this bug.